%define name wxChecksums
%define version 1.2.2
%define release 1mdk
%define kdedatadir %{_datadir}
%define gnomedatadir %{_datadir}


Name: %{name}
Summary: Computes and verifies SFV and MD5 checksums' files
Version: %{version}
Release: %{release}
Group: Archiving/Other
License: GPL
URL: http://wxchecksums.sourceforge.net/
Source: %{name}-%{version}-src.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libwxgtk2.6-devel >= 2.6.1
Requires: wxGTK2.6 >= 2.6.1
Requires: libwxgtk2.6 >= 2.6.1


%description
wxChecksums is a program which calculates and verifies checksums. It is able to
read and write files in SFV and GNU md5sum format.

wxChecksums is available for Linux and Windows 9x/ME/2000/XP.


%prep
rm -rf $RPM_BUILD_ROOT
%setup


%build
cd src
%make USE_LARGE_FILES=1


%install
rm -rf $RPM_BUILD_ROOT
cd src
make install PREFIX=$RPM_BUILD_ROOT/usr
cd ..

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/wxcksums" \
	needs="X11" \
	section="System/Archiving/Other" \
	icon="%{name}.png" \
	mimetypes="application/x-sfv;application/x-md5" \
	title="%{name}" \
	longtitle="Computes and verifies SFV and MD5 checksums' files"
EOF

# Find language catalogs
%find_lang %{name} --all-name

# Application icons
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}

install -m 644 install/Unix/icons/wxcksums_16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 install/Unix/icons/wxcksums_32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 install/Unix/icons/wxcksums_48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Files icons
install -d $RPM_BUILD_ROOT%{gnomedatadir}/pixmaps

install -m 644 install/Unix/icons/wxcksums_md5file_16.png $RPM_BUILD_ROOT%{_miconsdir}/wxcksums-md5.png
install -m 644 install/Unix/icons/wxcksums_sfvfile_16.png $RPM_BUILD_ROOT%{_miconsdir}/wxcksums-sfv.png
install -m 644 install/Unix/icons/wxcksums_md5file_32.png $RPM_BUILD_ROOT%{_iconsdir}/wxcksums-md5.png
install -m 644 install/Unix/icons/wxcksums_sfvfile_32.png $RPM_BUILD_ROOT%{_iconsdir}/wxcksums-sfv.png
install -m 644 install/Unix/icons/wxcksums_md5file_48.png $RPM_BUILD_ROOT%{_liconsdir}/wxcksums-md5.png
install -m 644 install/Unix/icons/wxcksums_sfvfile_48.png $RPM_BUILD_ROOT%{_liconsdir}/wxcksums-sfv.png
install -m 644 install/Unix/icons/wxcksums_md5file_32.png $RPM_BUILD_ROOT%{gnomedatadir}/pixmaps/wxcksums-md5.png
install -m 644 install/Unix/icons/wxcksums_sfvfile_32.png $RPM_BUILD_ROOT%{gnomedatadir}/pixmaps/wxcksums-sfv.png

# Mime types and application registration
install -d $RPM_BUILD_ROOT%{kdedatadir}/mimelnk/application
install -d $RPM_BUILD_ROOT%{kdedatadir}/applnk/Applications
install -d $RPM_BUILD_ROOT%{gnomedatadir}/gnome/apps/Applications
install -d $RPM_BUILD_ROOT%{gnomedatadir}/mime-info/wxcksums

install -m 644 install/Unix/mime/x-md5.desktop $RPM_BUILD_ROOT%{kdedatadir}/mimelnk/application
install -m 644 install/Unix/mime/x-sfv.desktop $RPM_BUILD_ROOT%{kdedatadir}/mimelnk/application
install -m 644 install/Unix/mime/wxcksums.desktop $RPM_BUILD_ROOT%{kdedatadir}/applnk/Applications
install -m 644 install/Unix/mime/wxcksums.desktop $RPM_BUILD_ROOT%{gnomedatadir}/gnome/apps/Applications
install -m 644 install/Unix/mime/wxcksums.keys $RPM_BUILD_ROOT%{gnomedatadir}/mime-info
install -m 644 install/Unix/mime/wxcksums.mime $RPM_BUILD_ROOT%{gnomedatadir}/mime-info


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,0755) 

# Informative files and manuals files
%doc README.txt NEWS.txt LICENSE.txt AUTHORS.txt manual

# Executable and its menu entry
%{_bindir}/wxcksums
%{_menudir}/%{name}

# Icons of the application
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

# Icons of the checksums' files used by the application
%{_miconsdir}/wxcksums-*.png
%{_iconsdir}/wxcksums-*.png
%{_liconsdir}/wxcksums-*.png
%{gnomedatadir}/pixmaps/wxcksums-*.png

# Mime registration for KDE and GNOME
%{kdedatadir}/mimelnk/application/*
%{kdedatadir}/applnk/Applications/*
%{gnomedatadir}/gnome/apps/Applications/*
%{gnomedatadir}/mime-info/wxcksums.*

%dir %_datadir/%name
%_datadir/%name/*


%post
%{update_menus}


%postun
%{clean_menus}


%changelog
* Sat Mar 04 2006 Julien Couot <jcouot at users.sourceforge.net> 1.2.2-1mdk
- Upgraded to 1.2.2

* Sat Dec 17 2005 Julien Couot <jcouot at users.sourceforge.net> 1.2.1-1mdk
- Upgraded to 1.2.1

* Sun May 30 2004 Julien Couot <jcouot at users.sourceforge.net> 1.2.0-1mdk
- Upgraded to 1.2.0

* Sat Mar 06 2004 Julien Couot <jcouot at users.sourceforge.net> 1.1.2-1mdk
- Upgraded to 1.1.2

* Thu Jan 01 2004 Julien Couot <jcouot at users.sourceforge.net> 1.1.1-1mdk
- Upgraded to 1.1.1

* Wed Nov 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- from Julien Couot <jcouot at users.sourceforge.net> :
	- First RPM for the Mandrake Linux distribution
