@ECHO OFF
REM This script will make the distribution file for wxChecksums

REM You will need Borland C++ Free Compiler (5.5.1) and Infozip's zip 2.3.

REM Creation date: 29/12/2003
REM Modification date: 29/12/2003

REM Check the arguments
IF "%1" == "" GOTO arg_error
IF NOT "%2" == "" GOTO arg_error

REM Check if wxWidgets is installed
IF "%WXWIN%" == "" GOTO wxMSW_error

REM Check that we are in the good directory
IF NOT EXIST src GOTO launch_error

REM Make the directories
MKDIR Distro
MKDIR Distro\wxChecksums-%1
MKDIR Distro\wxChecksums-%1\fr
MKDIR Distro\wxChecksums-%1\licence
MKDIR Distro\wxChecksums-%1\manual


REM Build the program
CD src
make -f makefile.b32 WXUSINGDLL=1 FINAL=1
IF %ERRORLEVEL% NEQ 0 goto compile_error
COPY /b cksums.exe ..\Distro\wxChecksums-%1\wxcksums.exe
make -f makefile.b32 WXUSINGDLL=1 FINAL=1 clean
COPY /b languages.ini ..\Distro\wxChecksums-%1
COPY /b fr\cksums.mo ..\Distro\wxChecksums-%1\fr
COPY /b fr\wxstd.mo ..\Distro\wxChecksums-%1\fr
CD ..

REM Copy the information files
COPY /b AUTHORS.txt Distro\wxChecksums-%1
COPY /b LICENSE.txt Distro\wxChecksums-%1
COPY /b NEWS.txt Distro\wxChecksums-%1
COPY /b README.txt Distro\wxChecksums-%1
COPY /b licence\gpl.txt Distro\wxChecksums-%1\licence
COPY /b licence\lgpl.txt Distro\wxChecksums-%1\licence
COPY /b licence\wxWidgets.txt Distro\wxChecksums-%1\licence

REM Copy the manual files
XCOPY /s /e /v manual\*.* Distro\wxChecksums-%1\manual

REM Make the zip file
CD Distro
zip -9 -m -r -X wxChecksums-%1-i586-win32.zip wxChecksums-%1
CD ..

GOTO end


:launch_error
ECHO The script must be launched from the root directory of the source tree.
GOTO end


:arg_error
ECHO Usage:
ECHO %0 release_number
ECHO ex: %0 1.1.1
GOTO end


:wxMSW_error
ECHO wxWidgets is not installed.
GOTO end


:compile_error
ECHO Build has failed.
GOTO end


:end
ECHO on
