; Script generated by the Inno Setup Script Wizard.
; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!


[Setup]
AppName=wxChecksums
AppVerName=wxChecksums 1.2.0
AppVersion=1.2.0
VersionInfoVersion=1.2.0.9
AppPublisher=Julien Couot
AppPublisherURL=http://wxchecksums.sourceforge.net/
AppSupportURL=http://wxchecksums.sourceforge.net/
AppUpdatesURL=http://wxchecksums.sourceforge.net/
DefaultDirName={pf}\wxChecksums
DefaultGroupName=wxChecksums
Compression=lzma/max
InternalCompressLevel=max
SolidCompression=yes
AllowNoIcons=yes
LicenseFile=..\..\licence\installer_licence.txt
UninstallDisplayIcon={app}\wxcksums.exe
OutputDir=.
OutputBaseFilename=wxChecksums-1.2.0-installer
ChangesAssociations=yes


[Components]
; English
Name: "main"; Description: "Main files"; Types: full compact custom; Flags: fixed; Languages: en
Name: "manual"; Description: "Manual"; Types: full; Languages: en
Name: "manual\english"; Description: "English"; Types: full; Languages: en
Name: "manual\french"; Description: "French"; Types: full; Languages: en

; French
Name: "main"; Description: "Fichiers principaux"; Types: full compact custom; Flags: fixed; Languages: fr
Name: "manual"; Description: "Manuel"; Types: full; Languages: fr
Name: "manual\english"; Description: "Anglais"; Types: full; Languages: fr
Name: "manual\french"; Description: "Franais"; Types: full; Languages: fr


[Tasks]
; English
Name: associateSFV; Description: "Associate with &SFV files"; GroupDescription: "Associate files:"; Languages: en
Name: associateMD5; Description: "Associate with &MD5 files"; GroupDescription: "Associate files:"; Languages: en

; French
Name: associateSFV; Description: "Associer avec les fichiers &SFV"; GroupDescription: "Association de fichiers :"; Languages: fr
Name: associateMD5; Description: "Associer avec les fichiers &MD5"; GroupDescription: "Association de fichiers :"; Languages: fr


[Files]
; NOTE: Don't use "Flags: ignoreversion" on any shared system files
Source: "..\..\src\bin\bcc55\wxcksums.exe"; DestDir: "{app}"; Flags: ignoreversion; Components: main
Source: "..\..\src\languages.ini"; DestDir: "{app}"; Flags: ignoreversion; Components: main
Source: "..\..\src\fr\cksums.mo"; DestDir: "{app}\fr"; Flags: ignoreversion; Components: main
Source: "..\..\src\fr\wxstd.mo"; DestDir: "{app}\fr"; Flags: ignoreversion; Components: main

Source: "..\..\AUTHORS.txt"; DestDir: "{app}"; Flags: ignoreversion; Components: main
Source: "..\..\LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion; Components: main
Source: "..\..\NEWS.txt"; DestDir: "{app}"; Flags: ignoreversion; Components: main
Source: "..\..\README.txt"; DestDir: "{app}"; Flags: ignoreversion isreadme; Components: main
Source: "..\..\licence\gpl.txt"; DestDir: "{app}\licence"; Flags: ignoreversion; Components: main
Source: "..\..\licence\lgpl.txt"; DestDir: "{app}\licence"; Flags: ignoreversion; Components: main
Source: "..\..\licence\wxWidgets.txt"; DestDir: "{app}\licence"; Flags: ignoreversion; Components: main

Source: "..\..\manual\en\*"; DestDir: "{app}\manual\en"; Flags: ignoreversion; Components: manual\english
Source: "..\..\manual\fr\*"; DestDir: "{app}\manual\fr"; Flags: ignoreversion; Components: manual\french
Source: "..\..\manual\common\*"; DestDir: "{app}\manual\common"; Flags: ignoreversion; Components: manual

Source: "wxChecksums.sfv"; DestDir: "{commontemplates}"; Flags: ignoreversion; Tasks: associateSFV
Source: "wxChecksums.md5"; DestDir: "{commontemplates}"; Flags: ignoreversion; Tasks: associateMD5


[Icons]
; English
Name: "{group}\Manuals\English"; Filename: "{app}\manual\en\manual.html"; WorkingDir: "{app}"; Components: manual\english; Languages: en
Name: "{group}\Manuals\French"; Filename: "{app}\manual\fr\manual.html"; WorkingDir: "{app}"; Components: manual\french; Languages: en
Name: "{group}\wxChecksums"; Filename: "{app}\wxcksums.exe"; WorkingDir: "{app}"; Components: main; Languages: en
Name: "{group}\Read me"; Filename: "{app}\README.txt"; WorkingDir: "{app}"; Components: main; Languages: en
Name: "{group}\Uninstall wxChecksums"; Filename: "{uninstallexe}"; Components: main; Languages: en

; French
Name: "{group}\Manuels\Anglais"; Filename: "{app}\manual\en\manual.html"; WorkingDir: "{app}"; Components: manual\english; Languages: fr
Name: "{group}\Manuels\Franais"; Filename: "{app}\manual\fr\manual.html"; WorkingDir: "{app}"; Components: manual\french; Languages: fr
Name: "{group}\wxChecksums"; Filename: "{app}\wxcksums.exe"; WorkingDir: "{app}"; Components: main; Languages: fr
Name: "{group}\Lisez-moi"; Filename: "{app}\README.txt"; WorkingDir: "{app}"; Components: main; Languages: fr
Name: "{group}\Dsinstaller wxChecksums"; Filename: "{uninstallexe}"; Components: main; Languages: fr


[Registry]
; Neutral language
; Register SFV Files
Root: HKCR; Subkey: ".sfv"; ValueType: string; ValueName: ""; ValueData: "wxChecksums.sfv"; Flags: uninsdeletevalue; Tasks: associateSFV
Root: HKCR; Subkey: "wxChecksums.sfv\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\wxcksums.exe,2"; Tasks: associateSFV
Root: HKCR; Subkey: "wxChecksums.sfv\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\wxcksums.exe"" ""%1"""; Tasks: associateSFV
Root: HKCR; Subkey: "wxChecksums.sfv\shell\verify\command"; ValueType: string; ValueName: ""; ValueData: """{app}\wxcksums.exe"" -v ""%1"""; Tasks: associateSFV
; New SFV file
Root: HKCR; Subkey: ".sfv\wxChecksums.sfv\ShellNew"; ValueType: string; ValueName: "FileName"; ValueData: "wxChecksums.sfv"; Flags: uninsdeletevalue; Tasks: associateSFV
; Register MD5 files
Root: HKCR; Subkey: ".md5"; ValueType: string; ValueName: ""; ValueData: "wxChecksums.md5"; Flags: uninsdeletevalue; Tasks: associateMD5
Root: HKCR; Subkey: "wxChecksums.md5\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\wxcksums.exe,1"; Tasks: associateMD5
Root: HKCR; Subkey: "wxChecksums.md5\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\wxcksums.exe"" ""%1"""; Tasks: associateMD5
Root: HKCR; Subkey: "wxChecksums.md5\shell\verify\command"; ValueType: string; ValueName: ""; ValueData: """{app}\wxcksums.exe"" -v ""%1"""; Tasks: associateSFV
; New MD5 file
Root: HKCR; Subkey: ".md5\wxChecksums.md5\ShellNew"; ValueType: string; ValueName: "FileName"; ValueData: "wxChecksums.md5"; Flags: uninsdeletevalue; Tasks: associateMD5
; Register wxChecksums executable path
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\wxcksums.exe"; ValueType: string; ValueName: ""; ValueData: "{app}\wxcksums.exe"; Flags: uninsdeletevalue uninsdeletekeyifempty

; English
Root: HKCR; Subkey: "wxChecksums.sfv"; ValueType: string; ValueName: ""; ValueData: "SFV Checksums"; Flags: uninsdeletekey; Tasks: associateSFV; Languages: en
Root: HKCR; Subkey: "wxChecksums.md5"; ValueType: string; ValueName: ""; ValueData: "MD5 Checksums"; Flags: uninsdeletekey; Tasks: associateMD5; Languages: en
Root: HKCR; Subkey: "wxChecksums.sfv\shell\verify"; ValueType: string; ValueName: ""; ValueData: "&Verify"; Tasks: associateSFV; Languages: en
Root: HKCR; Subkey: "wxChecksums.md5\shell\verify"; ValueType: string; ValueName: ""; ValueData: "&Verify"; Tasks: associateSFV; Languages: en

; French
Root: HKCR; Subkey: "wxChecksums.sfv"; ValueType: string; ValueName: ""; ValueData: "Sommes de contrle SFV"; Flags: uninsdeletekey; Tasks: associateSFV; Languages: fr
Root: HKCR; Subkey: "wxChecksums.md5"; ValueType: string; ValueName: ""; ValueData: "Sommes de contrle MD5"; Flags: uninsdeletekey; Tasks: associateMD5; Languages: fr
Root: HKCR; Subkey: "wxChecksums.sfv\shell\verify"; ValueType: string; ValueName: ""; ValueData: "&Vrifier"; Tasks: associateSFV; Languages: fr
Root: HKCR; Subkey: "wxChecksums.md5\shell\verify"; ValueType: string; ValueName: ""; ValueData: "&Vrifier"; Tasks: associateSFV; Languages: fr


[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "fr"; MessagesFile: "French.isl"

